<?xml version="1.0"?>
<!DOCTYPE node PUBLIC "-//freedesktop//DTD D-BUS Object Introspection 1.0//EN" "http://www.freedesktop.org/standards/dbus/1.0/introspect.dtd">
<node>
    <interface name='fr.mydatakeeper.Application'>
        <method name='Reset'></method>

        <property name='name' type='s' access='read'/>
        <property name='version' type='s' access='read'/>
        <property name='admin' type='b' access='read'/>
        <property name='contact' type='s' access='read'/>
        <property name='website' type='s' access='read'/>
        <property name='description' type='s' access='read'/>
        <property name='tags' type='as' access='read'/>
        <property name='categories' type='as' access='read'/>
        <property name='icons' type='a{ss}' access='read'/>

        <property name='hasConfig' type='b' access='read' />
        <property name='fields' type='a{sa{sv}}' access='readwrite' />

        <property name='hasInterface' type='b' access='read' />
        <property name='interface' type='a{sv}' access='read' />

        <method name='GetIcon'>
            <arg type='s' name='size' direction='in'/>
            <arg type='s' name='data' direction='out'/>
        </method>
    </interface>
</node>
